Subject: Re: bug#28080: 25.2; `outline-invisible-p' should be specific to `invisible' property of `outline.el'

From: [email-masked]
Date: Wed, 16 Aug 2017 19:34:04 -0400

forcemerge 24073 28080
quit

Drew Adams <[email-masked]> writes:

> Here is a correct definition, AFAICT.  My own use of this indicates that
> it DTRT.  In particular, I believe that it handles all of the invisible
> text that Outline itself imposes, so that `outline.el' loses nothing by
> using it.
>
> (defun outline-invisible-p (&optional pos)
>   "Non-nil if the character after point is invisible for outline purposes."
>   (eq (get-char-property (or pos (point)) 'invisible) 'outline))

Yup, this is the definition in master.

> (It also should not be a `defsubst'.  1985 has come and gone.)

Except it is still a defsubst.  It is called within some loops, so
perhaps we should at least see some numbers before changing that?